Skip to main content
GET
/
commissions
/
List commission rules
curl --request GET \
  --url https://api.journeybee.io/v1/commissions/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "<string>",
      "label": "<string>",
      "payment_target": "<string>",
      "auto_assign_recipient": "<string>",
      "calculation": {
        "entries": [
          {
            "payment_stage_id": 123,
            "calculation": {
              "value": "<string>",
              "scalingConfig": {
                "customFieldId": 123,
                "tiers": [
                  {
                    "optionId": 123,
                    "value": 123
                  }
                ]
              },
              "number_of_occurrences": 123,
              "periodRates": {
                "enabled": true,
                "periods": [
                  {
                    "periodNumber": 123,
                    "startOccurrence": 123,
                    "endOccurrence": 123,
                    "value": 123,
                    "scalingConfig": {
                      "customFieldId": 123,
                      "tiers": [
                        {
                          "optionId": 123,
                          "value": 123
                        }
                      ]
                    }
                  }
                ]
              },
              "split": {
                "oneOff": {
                  "value": "<string>",
                  "scalingConfig": {
                    "customFieldId": 123,
                    "tiers": [
                      {
                        "optionId": 123,
                        "value": 123
                      }
                    ]
                  },
                  "number_of_occurrences": 123,
                  "periodRates": {
                    "enabled": true,
                    "periods": [
                      {
                        "periodNumber": 123,
                        "startOccurrence": 123,
                        "endOccurrence": 123,
                        "value": 123,
                        "scalingConfig": {
                          "customFieldId": 123,
                          "tiers": [
                            {
                              "optionId": 123,
                              "value": 123
                            }
                          ]
                        }
                      }
                    ]
                  }
                },
                "recurring": {
                  "value": "<string>",
                  "scalingConfig": {
                    "customFieldId": 123,
                    "tiers": [
                      {
                        "optionId": 123,
                        "value": 123
                      }
                    ]
                  },
                  "number_of_occurrences": 123,
                  "periodRates": {
                    "enabled": true,
                    "periods": [
                      {
                        "periodNumber": 123,
                        "startOccurrence": 123,
                        "endOccurrence": 123,
                        "value": 123,
                        "scalingConfig": {
                          "customFieldId": 123,
                          "tiers": [
                            {
                              "optionId": 123,
                              "value": 123
                            }
                          ]
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        ]
      },
      "tiers": [
        {
          "uuid": "<string>",
          "label": "<string>"
        }
      ],
      "categories": [
        {
          "uuid": "<string>",
          "label": "<string>"
        }
      ],
      "partnerships": [
        {
          "uuid": "<string>",
          "name": "<string>"
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
per_page
integer
default:25
Required range: 1 <= x <= 100
partner_type
enum<string>
Available options:
referral,
reseller,
distributor
payment_target
enum<string>
Available options:
partnership,
individual
Maximum string length: 200

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required